
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Model 7 (M6 + new epidemiological state) &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="../_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="../_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="model-7-m6-new-epidemiological-state">
<h1>Model 7 (M6 + new epidemiological state)<a class="headerlink" href="#model-7-m6-new-epidemiological-state" title="Permalink to this headline">¶</a></h1>
<p>Introducing a new epidemiological state at a late stage in modelling
mainly consists in modifying the <code class="docutils literal notranslate"><span class="pre">health_state</span></code> state machine:</p>
<ul class="simple">
<li>a new state <code class="docutils literal notranslate"><span class="pre">E</span></code> is added to the list of states, associated with the
specification of a duration (defined in <code class="docutils literal notranslate"><span class="pre">parameters</span></code> as a
species-dependent expression)</li>
<li>the transition from <code class="docutils literal notranslate"><span class="pre">S</span></code> to <code class="docutils literal notranslate"><span class="pre">I</span></code> is split into a transition from <code class="docutils literal notranslate"><span class="pre">S</span></code>
to <code class="docutils literal notranslate"><span class="pre">E</span></code> and a transition from <code class="docutils literal notranslate"><span class="pre">E</span></code> to <code class="docutils literal notranslate"><span class="pre">I</span></code></li>
<li>in <code class="docutils literal notranslate"><span class="pre">parameters</span></code>, expressions defining the prevalence are modified to count also
individuals in <code class="docutils literal notranslate"><span class="pre">E</span></code> state</li>
</ul>
<p>To produce the diagrams of the state machines which control health
states, age groups and species:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion diagrams model7.yaml
</pre></div>
</div>
<p>Which gives:</p>
<div class="graphviz"><object data="../_images/graphviz-3795313addd738d28001655f7d9cc5d6b78eb026.svg" type="image/svg+xml" class="graphviz">
<p class="warning">digraph {
          charset=&quot;utf-8&quot;
        	rankdir=TB;
        
        	node[fontsize=16, fontname=Arial, shape=box, style=&quot;filled,rounded&quot;];
        	edge[minlen=1.5, fontname=Times, penwidth=1.5, tailtooltip=&quot;&quot;, headtooltip=&quot;&quot;];

        	&quot;H&quot; [shape=&quot;Mrecord&quot;, label=&quot;H&quot;, tooltip=&quot;H (Host):
	host individual&quot;, fillcolor=navy, style=&quot;filled,rounded&quot;] ;
	&quot;V&quot; [shape=&quot;Mrecord&quot;, label=&quot;V&quot;, tooltip=&quot;V (Vector):
	vector animal&quot;, fillcolor=orange, style=&quot;filled,rounded&quot;] ;
}</p></object></div>
<div class="graphviz"><object data="../_images/graphviz-84fe8f55ac95ff7f43a0ba763b38d9a6ef4e5a17.svg" type="image/svg+xml" class="graphviz">
<p class="warning">digraph {
          charset=&quot;utf-8&quot;
        	rankdir=LR;
        
        	node[fontsize=16, fontname=Arial, shape=box, style=&quot;filled,rounded&quot;];
        	edge[minlen=1.5, fontname=Times, penwidth=1.5, tailtooltip=&quot;&quot;, headtooltip=&quot;&quot;];

        	&quot;S&quot; [shape=&quot;Mrecord&quot;, label=&quot;S&quot;, tooltip=&quot;S (Susceptible):
	suceptible of becoming infected&quot;, fillcolor=deepskyblue, style=&quot;filled,rounded,bold&quot;] ;
	&quot;E&quot; [shape=&quot;Mrecord&quot;, label=&quot;E&amp;nbsp;&amp;#9719;&quot;, tooltip=&quot;E (Exposed):
	infected but not yet able to transit the disease&quot;, fillcolor=orange, style=&quot;filled,rounded&quot;] ;
	&quot;I&quot; [shape=&quot;Mrecord&quot;, label=&quot;I&quot;, tooltip=&quot;I (Infectious):
	infected and able to transmit the disease&quot;, fillcolor=red, style=&quot;filled,rounded&quot;] ;
	&quot;R&quot; [shape=&quot;Mrecord&quot;, label=&quot;R&quot;, tooltip=&quot;R (Resistant):
	recovered and resistant to new infections&quot;, fillcolor=limegreen, style=&quot;filled,rounded&quot;] ;
	&quot;E&quot; -&gt; &quot;I&quot; [label=&quot;proba: 1&quot;, labeltooltip=&quot;proba: 1&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;I&quot; -&gt; &quot;R&quot; [label=&quot;rate: is_H * gamma_H + is_V * gamma_V&quot;, labeltooltip=&quot;rate: is_H * gamma_H + is_V * gamma_V&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;S&quot; -&gt; &quot;E&quot; [label=&quot;rate: is_H * (is_J * force_infection_juveniles + is_A * force_infection_adults + force_of_infection_due_to_vectors) + is_V * force_of_infection_vectors&quot;, labeltooltip=&quot;rate: is_H * (is_J * force_infection_juveniles + is_A * force_infection_adults + force_of_infection_due_to_vectors) + is_V * force_of_infection_vectors&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
}</p></object></div>
<div class="graphviz"><object data="../_images/graphviz-fdafa4d5d495810a92a0d2606d5cc355137879df.svg" type="image/svg+xml" class="graphviz">
<p class="warning">digraph {
          charset=&quot;utf-8&quot;
        	rankdir=LR;
        
        	node[fontsize=16, fontname=Arial, shape=box, style=&quot;filled,rounded&quot;];
        	edge[minlen=1.5, fontname=Times, penwidth=1.5, tailtooltip=&quot;&quot;, headtooltip=&quot;&quot;];

        	&quot;J&quot; [shape=&quot;Mrecord&quot;, label=&quot;J&quot;, tooltip=&quot;J (Juvenile):
	juvenile individuals&quot;, fillcolor=orange, style=&quot;filled,rounded&quot;] ;
	&quot;A&quot; [shape=&quot;Mrecord&quot;, label=&quot;A&quot;, tooltip=&quot;A (Adult):
	adult individuals (producing new juveniles)&quot;, fillcolor=brown, style=&quot;filled,rounded&quot;] ;
	&quot;U&quot; [shape=&quot;Mrecord&quot;, label=&quot;U&quot;, tooltip=&quot;U (Undefined):
	no age group is defined for vectors&quot;, fillcolor=lightgray, style=&quot;filled,rounded&quot;] ;
	&quot;D&quot; [shape=&quot;Mrecord&quot;, label=&quot;D&quot;, tooltip=&quot;D (Dead):
	compartment to put dead individuals&quot;, fillcolor=white, style=&quot;filled,rounded,dotted&quot;] ;
	&quot;A&quot; -&gt; &quot;D&quot; [label=&quot;rate: mu_A * total_H / K_H&quot;, labeltooltip=&quot;rate: mu_A * total_H / K_H&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;A&quot; -&gt; &quot;J&quot; [label=&quot;rate: b_H&quot;, labeltooltip=&quot;b_H [parameter]:
	the birth rate of hosts (/day)                                          
	0.005&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;dashed&quot;];
	&quot;J&quot; -&gt; &quot;A&quot; [label=&quot;rate: m&quot;, labeltooltip=&quot;m [parameter]:
	maturation rate, at which juveniles become adults (/day)                
	1/50&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;J&quot; -&gt; &quot;D&quot; [label=&quot;rate: mu_J * total_H / K_H&quot;, labeltooltip=&quot;rate: mu_J * total_H / K_H&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;U&quot; -&gt; &quot;D&quot; [label=&quot;rate: b_V * total_V / K_V&quot;, labeltooltip=&quot;rate: b_V * total_V / K_V&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;solid&quot;];
	&quot;U&quot; -&gt; &quot;U&quot; [label=&quot;rate: b_V&quot;, labeltooltip=&quot;b_V [parameter]:
	the birth rate of vectors (/day)                                        
	0.05&quot;, arrowtail=&quot;none&quot;, arrowhead=&quot;normalnone&quot;, dir=both, tooltip=&quot;&quot;, minlen=3, style=&quot;dashed&quot;];
}</p></object></div>
<p>The Python add-on was exactly the same as in Model 6.</p>
<p>Model file with full comments: <a class="reference external" href="../_static/benchmark/model7.yaml">model7.yaml</a></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">---</span>
<span class="n">model_name</span><span class="p">:</span> <span class="n">stochastic_SEIR_demo_structured_metapop_data</span>

<span class="n">model_info</span><span class="p">:</span>
  <span class="n">abstract</span><span class="p">:</span> <span class="s1">&#39;This model is a simple discrete-time, stochastic,</span>
  <span class="n">hybrid</span> <span class="n">SEIR</span> <span class="n">model</span> <span class="k">with</span> <span class="n">demography</span> <span class="ow">and</span> <span class="n">structured</span> <span class="n">population</span><span class="p">,</span>
  <span class="n">at</span> <span class="n">the</span> <span class="n">metapopulation</span> <span class="n">scale</span><span class="o">.</span> <span class="n">Movements</span> <span class="n">between</span> <span class="n">population</span> <span class="n">are</span>
  <span class="n">data</span><span class="o">-</span><span class="n">driven</span><span class="o">.</span> <span class="n">Epidemiological</span> <span class="n">state</span> <span class="n">E</span> <span class="n">was</span> <span class="n">introduced</span> <span class="ow">in</span> <span class="n">previous</span>
  <span class="n">model</span> <span class="p">(</span><span class="n">already</span> <span class="n">scaled</span> <span class="n">up</span> <span class="n">to</span> <span class="n">metapopulation</span><span class="p">)</span><span class="o">.</span><span class="s1">&#39;</span>
  <span class="n">author</span><span class="p">:</span> <span class="s1">&#39;Sebastien Picault (sebastien.picault@inra.fr)&#39;</span>

<span class="n">time_info</span><span class="p">:</span>
  <span class="n">time_unit</span><span class="p">:</span> <span class="n">days</span>
  <span class="n">delta_t</span><span class="p">:</span> <span class="mi">1</span>
  <span class="n">origin</span><span class="p">:</span> <span class="s1">&#39;January 1, 2018&#39;</span>
  <span class="n">total_duration</span><span class="p">:</span> <span class="s1">&#39;365&#39;</span>

<span class="n">levels</span><span class="p">:</span>
  <span class="n">metapop</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;level of the metapopulation&#39;</span>
    <span class="n">aggregation_type</span><span class="p">:</span> <span class="n">metapopulation</span>
    <span class="n">contains</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">population</span>
    <span class="n">aggregate_vars</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;nb_infectious_metapop&#39;</span>
        <span class="n">collect</span><span class="p">:</span> <span class="s1">&#39;total_I&#39;</span>
        <span class="n">operator</span><span class="p">:</span> <span class="s1">&#39;sum&#39;</span>
      <span class="o">-</span> <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;nb_individuals_metapop&#39;</span>
        <span class="n">collect</span><span class="p">:</span> <span class="s1">&#39;total_population&#39;</span>
        <span class="n">operator</span><span class="p">:</span> <span class="s1">&#39;sum&#39;</span>
    <span class="n">file</span><span class="p">:</span> <span class="s1">&#39;model6.py&#39;</span>
    <span class="n">class_name</span><span class="p">:</span> <span class="s1">&#39;Metapop&#39;</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;level of the population&#39;</span>
    <span class="n">aggregation_type</span><span class="p">:</span> <span class="n">hybrid</span>
    <span class="n">contains</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">individuals</span>
    <span class="n">file</span><span class="p">:</span> <span class="s1">&#39;model6.py&#39;</span>
    <span class="n">class_name</span><span class="p">:</span> <span class="s1">&#39;Population&#39;</span>
  <span class="n">individuals</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;level of the individuals&#39;</span>

<span class="n">grouping</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">species_groups</span><span class="p">:</span>
      <span class="n">machine_name</span><span class="p">:</span> <span class="n">species</span>
      <span class="n">key_variables</span><span class="p">:</span> <span class="p">[</span><span class="n">species</span><span class="p">]</span>
    <span class="n">infection</span><span class="p">:</span>
      <span class="n">machine_name</span><span class="p">:</span> <span class="n">health_state</span>
      <span class="n">key_variables</span><span class="p">:</span> <span class="p">[</span><span class="n">health_state</span><span class="p">,</span> <span class="n">age_group</span><span class="p">,</span> <span class="n">species</span><span class="p">]</span>
    <span class="n">aging</span><span class="p">:</span>
      <span class="n">machine_name</span><span class="p">:</span> <span class="n">age_group</span>
      <span class="n">key_variables</span><span class="p">:</span> <span class="p">[</span><span class="n">age_group</span><span class="p">]</span>

<span class="n">processes</span><span class="p">:</span>
  <span class="n">metapop</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">host_trade</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">integrate_purchased_hosts</span>
    <span class="o">-</span> <span class="n">species_groups</span>
    <span class="o">-</span> <span class="n">infection</span>
    <span class="o">-</span> <span class="n">aging</span>
    <span class="o">-</span> <span class="n">select_sold_hosts</span>

<span class="n">state_machines</span><span class="p">:</span>
  <span class="n">species</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;the species of the individuals&#39;</span>
    <span class="n">states</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">H</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Host&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;host individual&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;navy&#39;</span>
      <span class="o">-</span> <span class="n">V</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Vector&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;vector animal&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;orange&#39;</span>
  <span class="n">health_state</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;The state machine which defines the evolution of health</span>
    <span class="n">states</span><span class="s1">&#39;</span>
    <span class="n">states</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">S</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Susceptible&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;suceptible of becoming infected&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;deepskyblue&#39;</span>
          <span class="n">default</span><span class="p">:</span> <span class="n">yes</span>
<span class="hll">      <span class="o">-</span> <span class="n">E</span><span class="p">:</span>
</span><span class="hll">          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Exposed&#39;</span>
</span><span class="hll">          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected but not yet able to transit the disease&#39;</span>
</span><span class="hll">          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;orange&#39;</span>
</span><span class="hll">          <span class="n">duration</span><span class="p">:</span> <span class="s1">&#39;incubation_duration&#39;</span>
</span>      <span class="o">-</span> <span class="n">I</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Infectious&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected and able to transmit the disease&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;red&#39;</span>
      <span class="o">-</span> <span class="n">R</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Resistant&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;recovered and resistant to new infections&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;limegreen&#39;</span>
    <span class="n">transitions</span><span class="p">:</span>
<span class="hll">      <span class="o">-</span> <span class="n">from</span><span class="p">:</span> <span class="n">S</span>
</span><span class="hll">        <span class="n">to</span><span class="p">:</span> <span class="n">E</span>
</span><span class="hll">        <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;is_H * (is_J * force_infection_juveniles + is_A * force_infection_adults</span>
</span><span class="hll">        <span class="o">+</span> <span class="n">force_of_infection_due_to_vectors</span><span class="p">)</span>
</span><span class="hll">        <span class="o">+</span> <span class="n">is_V</span> <span class="o">*</span> <span class="n">force_of_infection_vectors</span><span class="s1">&#39;</span>
</span><span class="hll">      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">E</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">I</span><span class="p">,</span> <span class="n">proba</span><span class="p">:</span> <span class="mi">1</span><span class="p">}</span>
</span>      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">I</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">R</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;is_H * gamma_H + is_V * gamma_V&#39;</span><span class="p">}</span>
  <span class="n">age_group</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;The state machine which defines the evolution of age</span>
    <span class="n">groups</span><span class="o">.</span><span class="s1">&#39;</span>
    <span class="n">states</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">J</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Juvenile&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;juvenile individuals&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;orange&#39;</span>
      <span class="o">-</span> <span class="n">A</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Adult&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;adult individuals (producing new juveniles)&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="s1">&#39;brown&#39;</span>
      <span class="o">-</span> <span class="n">U</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Undefined&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;no age group is defined for vectors&#39;</span>
      <span class="o">-</span> <span class="n">D</span><span class="p">:</span>
          <span class="n">name</span><span class="p">:</span> <span class="s1">&#39;Dead&#39;</span>
          <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;compartment to put dead individuals&#39;</span>
          <span class="n">fillcolor</span><span class="p">:</span> <span class="n">white</span>
          <span class="n">autoremove</span><span class="p">:</span> <span class="n">yes</span>
    <span class="n">transitions</span><span class="p">:</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;m&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">D</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;mu_J * total_H / K_H&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">D</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;mu_A * total_H / K_H&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">U</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">D</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;b_V * total_V / K_V&#39;</span><span class="p">}</span>
    <span class="n">productions</span><span class="p">:</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">A</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">J</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;b_H&#39;</span><span class="p">,</span> <span class="n">prototype</span><span class="p">:</span> <span class="s1">&#39;newborn_host&#39;</span><span class="p">}</span>
      <span class="o">-</span> <span class="p">{</span><span class="n">from</span><span class="p">:</span> <span class="n">U</span><span class="p">,</span> <span class="n">to</span><span class="p">:</span> <span class="n">U</span><span class="p">,</span> <span class="n">rate</span><span class="p">:</span> <span class="s1">&#39;b_V&#39;</span><span class="p">,</span> <span class="n">prototype</span><span class="p">:</span> <span class="s1">&#39;newborn_vector&#39;</span><span class="p">}</span>

<span class="n">parameters</span><span class="p">:</span>
  <span class="n">initial_host_population</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial number of hosts in the population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">100</span>
  <span class="n">initial_host_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial proportion of infected hosts in an infected population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.1</span>
  <span class="n">beta_W</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;within-group transmission rate from infectious individuals (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.1</span>
  <span class="n">beta_B</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;between-group transmission rate from infectious individuals (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.01</span>
  <span class="n">gamma_H</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;recovery rate for hosts&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/30&#39;</span>
  <span class="n">b_H</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;the birth rate of hosts (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.005</span>
  <span class="n">m</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;maturation rate, at which juveniles become adults (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/50&#39;</span>
  <span class="n">mu_J</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;base mortality rate for juveniles (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.01</span>
  <span class="n">mu_A</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;base mortality rate for adults (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.0025</span>
  <span class="n">K_H</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;carriage capacity of the environment for hosts&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">150</span>
  <span class="n">force_infection_juveniles</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;force of infection experienced by juveniles&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;beta_W * total_I_J_H / (total_J + 1e-9) + beta_B * total_I_A_H / (total_A + 1e-9)&#39;</span>
  <span class="n">force_infection_adults</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;force of infection experienced by adults&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;beta_W * total_I_A_H / (total_A + 1e-9) + beta_B * total_I_J_H / (total_J + 1e-9)&#39;</span>
<span class="hll">  <span class="n">prevalence_J</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;prevalence in juvenile group&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39; (total_I_J_H + total_E_J_H) / (total_J + 1e-9)&#39;</span>
</span><span class="hll">  <span class="n">prevalence_A</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;prevalence in adult group&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39; (total_I_A_H + total_E_A_H) / (total_A + 1e-9)&#39;</span>
</span>  <span class="n">force_of_infection_vectors</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;force of infection experienced by vectors&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;rho_HV * a * (total_I_A_H + total_I_J_H) / (total_H + 1e-9)&#39;</span>
  <span class="n">force_of_infection_due_to_vectors</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;force of infection experienced by hosts due to vectors&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;rho_VH * a * total_I_U_V / (total_V + 1e-9)&#39;</span>
  <span class="n">rho_HV</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;transmission probability from an infected host to a</span>
    <span class="n">susceptible</span> <span class="n">vector</span><span class="s1">&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.6</span>
  <span class="n">rho_VH</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;transmission probability from an infected vector to a</span>
    <span class="n">susceptible</span> <span class="n">host</span><span class="s1">&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.1</span>
  <span class="n">a</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;biting rate (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/10&#39;</span>
  <span class="n">K_V</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;carriage capacity of the environment for vectors&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">500</span>
  <span class="n">b_V</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;the birth rate of vectors (/day)&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.05</span>
  <span class="n">gamma_V</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;recovery rate for vectors&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;1/20&#39;</span>
  <span class="n">initial_vector_population</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial number of vectors in the population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">300</span>
  <span class="n">initial_vector_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial proportion of infected vectors in an infected population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">0</span>
<span class="hll">  <span class="n">prevalence_V</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;prevalence in vector group&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39; (total_I_U_V + total_E_U_V) / (total_V + 1e-9)&#39;</span>
</span>  <span class="n">nb_populations</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;number of populations in the metapop&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">20</span>
  <span class="n">nb_prevalent_pop</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;number of populations initially infected&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">1</span>
  <span class="n">p_move</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;probability for a host to leave its current population and move to a neighbour population&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.02</span>
  <span class="n">external_risk</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;probability that an individual coming from outside the</span>
    <span class="n">metapopulation</span> <span class="ow">is</span> <span class="n">infected</span> <span class="o">-</span> <span class="n">either</span> <span class="n">a</span> <span class="n">constant</span> <span class="n">external</span> <span class="n">risk</span> <span class="ow">or</span>
    <span class="n">the</span> <span class="n">prevalence</span> <span class="ow">in</span> <span class="n">the</span> <span class="n">metapopulation</span><span class="s1">&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;IfThenElse(use_metapop_prevalence, metapop_prevalence, constant_external_risk)&#39;</span>
  <span class="n">metapop_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;prevalence of infectious individuals in the metapopulation&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;nb_infectious_metapop / nb_individuals_metapop&#39;</span>
  <span class="n">use_metapop_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;boolean, 1 if the prevalence in the metapop is used to compute the</span>
    <span class="n">risk</span> <span class="n">to</span> <span class="n">purchase</span> <span class="n">infected</span> <span class="n">animals</span> <span class="kn">from</span> <span class="nn">outside</span> <span class="n">the</span> <span class="n">metapopulation</span><span class="p">,</span> <span class="mi">0</span> <span class="k">if</span>
    <span class="n">this</span> <span class="n">risk</span> <span class="ow">is</span> <span class="n">a</span> <span class="n">constant</span> <span class="n">value</span> <span class="p">(</span><span class="n">constant_external_risk</span><span class="p">)</span><span class="s1">&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mi">0</span>
  <span class="n">constant_external_risk</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;probability that an individual coming from outside the</span>
    <span class="n">metapopulation</span> <span class="ow">is</span> <span class="n">infected</span><span class="p">,</span> <span class="n">assumed</span> <span class="n">constant</span><span class="s1">&#39;</span>
    <span class="n">value</span><span class="p">:</span> <span class="mf">0.1</span>
<span class="hll">  <span class="n">incubation_duration</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;duration in state E, depending on the species&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="s1">&#39;is_H * incub_dur_H + is_V * incub_dur_V&#39;</span>
</span><span class="hll">  <span class="n">incub_dur_H</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;duration of incubation for hosts (days)&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="mi">10</span>
</span><span class="hll">  <span class="n">incub_dur_V</span><span class="p">:</span>
</span><span class="hll">    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;duration of incubation for vectors (days)&#39;</span>
</span><span class="hll">    <span class="n">value</span><span class="p">:</span> <span class="mi">5</span>
</span>
<span class="n">statevars</span><span class="p">:</span>
  <span class="n">local_vector_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial proportion of infectious vectors in the population, defined in prototype &quot;infected_population&quot;&#39;</span>
  <span class="n">local_host_prevalence</span><span class="p">:</span>
    <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;initial proportion of infectious hosts in the population, defined in prototype &quot;infected_population&quot;&#39;</span>

<span class="n">prototypes</span><span class="p">:</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">healthy_population</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;population with only susceptible hosts and vectors&#39;</span>
        <span class="n">local_vector_prevalence</span><span class="p">:</span> <span class="mi">0</span>
        <span class="n">local_host_prevalence</span><span class="p">:</span> <span class="mi">0</span>
    <span class="o">-</span> <span class="n">infected_population</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;population with possibly infected hosts and vectors&#39;</span>
        <span class="n">local_vector_prevalence</span><span class="p">:</span> <span class="s1">&#39;initial_vector_prevalence&#39;</span>
        <span class="n">local_host_prevalence</span><span class="p">:</span> <span class="s1">&#39;initial_host_prevalence&#39;</span>

  <span class="n">individuals</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">healthy_host</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;healthy hosts&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">S</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="s1">&#39;random(0.5, 0.5, 0)&#39;</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">H</span>
    <span class="o">-</span> <span class="n">infected_host</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected hosts&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">I</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="s1">&#39;random(0.5, 0.5, 0)&#39;</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">H</span>
    <span class="o">-</span> <span class="n">newborn_host</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;newborn host assuming no vertical transmission&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">S</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">J</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">H</span>
    <span class="o">-</span> <span class="n">healthy_vector</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;healthy vector&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">S</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">U</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">V</span>
    <span class="o">-</span> <span class="n">infected_vector</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected vector&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">I</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">U</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">V</span>
    <span class="o">-</span> <span class="n">newborn_vector</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;newborn vector assuming no vertical transmission&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">S</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">U</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">V</span>
    <span class="o">-</span> <span class="n">imported_S_host</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;suceptible host from outside the metapopulation, age group</span>
        <span class="n">being</span> <span class="n">changed</span> <span class="n">at</span> <span class="n">individual</span> <span class="n">creation</span> <span class="n">depending</span> <span class="n">on</span> <span class="n">data</span><span class="s1">&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">S</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">H</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">default</span>
    <span class="o">-</span> <span class="n">imported_I_host</span><span class="p">:</span>
        <span class="n">desc</span><span class="p">:</span> <span class="s1">&#39;infected host from outside the metapopulation, age group</span>
        <span class="n">being</span> <span class="n">changed</span> <span class="n">at</span> <span class="n">individual</span> <span class="n">creation</span> <span class="n">depending</span> <span class="n">on</span> <span class="n">data</span><span class="s1">&#39;</span>
        <span class="n">health_state</span><span class="p">:</span> <span class="n">I</span>
        <span class="n">species</span><span class="p">:</span> <span class="n">H</span>
        <span class="n">age_group</span><span class="p">:</span> <span class="n">default</span>

<span class="n">initial_conditions</span><span class="p">:</span>
  <span class="n">metapop</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">infected_population</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;nb_prevalent_pop&#39;</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">healthy_population</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;nb_populations - nb_prevalent_pop&#39;</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">healthy_host</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_host_population * (1 - local_host_prevalence)&#39;</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">infected_host</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_host_population * local_host_prevalence&#39;</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">healthy_vector</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_vector_population * (1 - local_vector_prevalence)&#39;</span>
    <span class="o">-</span> <span class="n">prototype</span><span class="p">:</span> <span class="n">infected_vector</span>
      <span class="n">amount</span><span class="p">:</span> <span class="s1">&#39;initial_vector_population * local_vector_prevalence&#39;</span>

<span class="n">outputs</span><span class="p">:</span>
  <span class="nb">type</span><span class="p">:</span> <span class="n">csv</span>
  <span class="n">population</span><span class="p">:</span>
    <span class="n">period</span><span class="p">:</span> <span class="mi">1</span>
    <span class="n">extra_vars</span><span class="p">:</span>
      <span class="o">-</span> <span class="n">prevalence_A</span>
      <span class="o">-</span> <span class="n">prevalence_J</span>
      <span class="o">-</span> <span class="n">prevalence_V</span>
<span class="o">...</span>
</pre></div>
</div>
<p>To have some data-driven movements considered coming from outside the
metapopulation, we ran the model with 10 populations instead of 20
(one stochastic repetition) with constant external risk (0.1) for
individuals coming from outside the metapopulation:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>emulsion run --plot model7.yaml -r <span class="m">1</span> -p <span class="nv">nb_populations</span><span class="o">=</span><span class="m">10</span> -p <span class="nv">use_metapop_prevalence</span><span class="o">=</span><span class="m">0</span>
</pre></div>
</div>
<p>which produced <a class="reference external" href="../_static/benchmark/model7-outputs.html">the following outputs</a></p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../pages/Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="../pages/License.html">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="../_sources/benchmark/Model7.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>